Subject: Re: bug#43828: invalid date converting from UTC, near DST

From: Bob Proulx <[email-masked]>
Date: Wed, 28 Oct 2020 23:10:39 -0600

Martin Fido wrote:
> I have tzdata version 2020a:
> 
>     $ apt-cache policy tzdata
>     tzdata:
>       Installed: 2020a-0ubuntu0.16.04
>       Candidate: 2020a-0ubuntu0.16.04
>     ...
> 
>     $ zdump -v Australia/Sydney | grep 2020
>     Australia/Sydney  Sat Apr  4 15:59:59 2020 UT = Sun Apr  5 02:59:59 2020 AEDT isdst=1 gmtoff=39600
>     Australia/Sydney  Sat Apr  4 16:00:00 2020 UT = Sun Apr  5 02:00:00 2020 AEST isdst=0 gmtoff=36000
>     Australia/Sydney  Sat Oct  3 15:59:59 2020 UT = Sun Oct  4 01:59:59 2020 AEST isdst=0 gmtoff=36000
>     Australia/Sydney  Sat Oct  3 16:00:00 2020 UT = Sun Oct  4 03:00:00 2020 AEDT isdst=1 gmtoff=39600

I see this is Ubuntu 16.04.  I found a 16.04 system and I was able to
recreate this exact problem there.  However trying this on an 18.04
system and it is no longer an invalid date.

Bob